import { Expose, Type } from 'class-transformer';
import { TipoUsuarioOutputDto } from '../../../tipo-usuario/dto/output/tipo-usuario.dto';
import { UsuarioInstitucionCarreraOutputDto } from '../../../institucion-usuario/dto/output/usuario-institucion-carrera.dto';

export class UsuariosOutputDto {
  @Expose()
  id_usuario;

  @Expose()
  nombre;

  @Expose()
  usuario;

  @Expose()
  @Type(() => UsuarioInstitucionCarreraOutputDto)
  instituciones;

  @Expose()
  @Type(() => TipoUsuarioOutputDto)
  tipoUsuario;
}
